<?php

/**
 * Project:     Ant: sources.list generator
 * File:        oops.php
 *
 * This application is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

include dirname(__FILE__)."/lib/init.php";
$errata = $secure->wrapInt($_GET["error"]);

switch ($errata) {
	case '0':
		$errmsg = _("There were some weird problems.");
		break;
	case '1':
		$errmsg = _("Something went wrong! I suspect that if a problem with configuration files.");
		break;
	case '2':
		$errmsg = _("Authorization failed! I suspect that you have fun password. Try <a href='./signin.php'>again</a>?");
		break;
}

$errmsg = "<p>".$errmsg."</p>";

$smarty->assign('feedaddr',$_SERVER["HTTP_HOST"].dirname($_SERVER["PHP_SELF"]));
$smarty->assign('error',$errmsg);
$smarty->assign('h1',_("Oops..."));
$smarty->assign('antversion',$core->getSetting('version',$db));
$smarty->assign('title',$core->getSetting('codename',$db));
$smarty->assign('theme',$theme->getThemeName($core,$db));

$smarty->display('oops.tpl');

?>
